aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xf86-video-vmware/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 07:24:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 07:24:24 +0000
commite497397c86d49bffc37b036667e331471dbaf149 (patch)
tree31c4a1c2396d8829ae5ba45b7d807704e36dccb3 /x11/xf86-video-vmware/APKBUILD
parentf62ac29ea53426bbebbdec6a308796e90296b9a3 (diff)
downloadaports-e497397c86d49bffc37b036667e331471dbaf149.tar.gz
aports-e497397c86d49bffc37b036667e331471dbaf149.tar.bz2
aports-e497397c86d49bffc37b036667e331471dbaf149.tar.xz
x11/xf86-video-vmware: new aport
X.org VMWare video driver http://xorg.freedesktop.org/
Diffstat (limited to 'x11/xf86-video-vmware/APKBUILD')
-rw-r--r--x11/xf86-video-vmware/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/x11/xf86-video-vmware/APKBUILD b/x11/xf86-video-vmware/APKBUILD
new file mode 100644
index 0000000000..bd979907df
--- /dev/null
+++ b/x11/xf86-video-vmware/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-vmware
+pkgver=10.16.9
+pkgrel=0
+pkgdesc="X.org VMWare video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig xorg-server-dev videoproto renderproto xproto
+ fontsproto xf86dgaproto xineramaproto randrproto xextproto libxi-dev"
+
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2
+ abi2.patch"
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -Np1 -i "$srcdir/abi2.patch" || return 1
+}
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="3b3d38abfa1f8be4b1e26dcd236bc94f xf86-video-vmware-10.16.9.tar.bz2
+cbc8e0bef13ccec7ceac233cd09233da abi2.patch"